<?php

declare(strict_types=1);
namespace Drupal\confirmation\Entity\Event;

use Drupal\Component\EventDispatcher\Event;
use Drupal\confirmation\Entity\ConfirmationInterface;

final class ConfirmationEvent extends Event {

  protected ConfirmationInterface $confirmation;

  public function __construct(ConfirmationInterface $confirmation) {
    $this->confirmation = $confirmation;
  }

  public function getConfirmation(): ConfirmationInterface {
    return $this->confirmation;
  }

}
